# Contributing to Gradient Icon

Thank you for considering contributing to the Gradient Icon package! Contributions from the community are valuable and help improve the package for everyone. Whether you want to report a bug, propose a new feature, or submit a code enhancement, your contribution is highly appreciated.

Before you start, please take a moment to review this document and understand the contribution process.

## How to Contribute

1. **Fork the repository:** Click the "Fork" button at the top-right corner of the repository on GitHub. This creates your own copy of the project.

2. **Clone your fork:** Clone the repository to your local machine using the following command:

   ```bash
   git clone https://github.com/MohamedAshraf701/gradient-icon.git
   ```

3. **Create a branch:** Create a new branch for your contribution. Choose a descriptive name that summarizes your change.

   ```bash
   git checkout -b your-feature-branch
   ```

4. **Make changes:** Make your code changes, add new features, or fix bugs. Ensure that your changes are well-tested and follow the project's coding standards.

5. **Commit changes:** Commit your changes with a meaningful commit message that explains the purpose of your contribution.

   ```bash
   git commit -m "Add new feature: Your Feature Name"
   ```

6. **Push changes:** Push your changes to your forked repository:

   ```bash
   git push origin your-feature-branch
   ```

7. **Open a pull request:** Go to the original repository on GitHub and open a pull request. Provide a clear title and description for your pull request, explaining the purpose of your contribution.

## Code of Conduct

Please note that this project follows the [Code of Conduct](CODE_OF_CONDUCT.md). By participating in this project, you agree to abide by its terms.

## Reporting Bugs

If you encounter a bug or issue with the package, please follow these steps to report it:

1. Search the [GitHub Issues](https://github.com/MohamedAshraf701/gradient-icon/issues) to see if the issue has already been reported.

2. If not found, create a new issue. Provide a clear and detailed description of the problem, including steps to reproduce it.

3. Use appropriate labels and tags to categorize the issue (e.g., "bug," "enhancement," "question").

## Providing Feedback

For general feedback, feature requests, or questions about the package, you can create a new issue on GitHub. Please use the appropriate labels and provide as much detail as possible.

## Licensing

By contributing to this project, you agree that your contributions will be licensed under the same [MIT License](LICENSE) that covers the Gradient Icon package.

Thank you for your interest in contributing to Gradient Icon! Your contributions help make this project better for the entire community.
