# Gradient Icon

[![Pub Version](https://img.shields.io/pub/v/gradient_icon.svg)](https://pub.dev/packages/gradient_icon)
![Flutter Platform](https://img.shields.io/badge/platform-flutter-yellow)

<p align="center">
  <img src="https://github.com/MohamedAshraf701/gradient-icon/assets/92545354/7d610e49-a682-4748-9913-ce8211e88993" alt="Gradient Icons" style="display: block; margin: auto;">
</p>


A Flutter package that provides gradient icons, allowing you to apply gradient effects to your icons.

<img src="https://github.com/MohamedAshraf701/gradient-icon/assets/92545354/2f20df2b-2ccd-4cb5-b26c-b82fa79e22b3" alt="Gradient Icons" width="200">

## Features

- Easily create icons with customizable gradients.
- Supports various gradient types, including linear, radial, and sweep gradients.
- Highly customizable with control over colors, directions, and more.

## Installation

Add the following line to your `pubspec.yaml` file:

```yaml
dependencies:
  gradient_icon: ^2.0.0
```

Then run `flutter pub get` to fetch the package.

## Usage

Import the package into your Dart file:

```dart
import 'package:gradient_icon/gradient_icon.dart';
```

Use the `GradientIcon` widget in your Flutter app:

```dart
GradientIcon(
  icon: Icons.star,
  gradient: LinearGradient(
    colors: [Colors.red, Colors.blue],
    begin: Alignment.topLeft,
    end: Alignment.bottomRight,
  ),
  size: 30,
),
```

## Documentation

For detailed usage instructions and API documentation, please refer to the [documentation](https://pub.dev/documentation/gradient_icon/latest/).

## Examples

You can find more usage examples in the [example](example) folder of this repository.

## License

This project is licensed under the [MIT License](https://github.com/MohamedAshraf701/gradient-icon/blob/main/LICENSE).

## Changelog

See the [CHANGELOG](https://github.com/MohamedAshraf701/gradient-icon/blob/main/CHANGELOG.md) for a history of changes in the package.

## Contributing

Contributions to the `gradient_icon` package are welcome! Please read the [contribution guidelines](CONTRIBUTING.md) before submitting a pull request.

## Acknowledgements

This package was inspired by the need for gradient icons in Flutter and aims to provide an easy-to-use solution for applying gradients to icons.

## Get in touch

If you have any questions, feel free to reach out:

- Email: ashrafchauhan567@gmail.com
- Githube: [@MohamedAshraf701](https://github.com/MohamedAshraf701)

# Support
<p><a href="https://www.buymeacoffee.com/ashraf704"> <img align="left" src="https://cdn.buymeacoffee.com/buttons/v2/default-yellow.png" height="50" width="210" alt="ashraf704" /></a></p><br><br>

---
